Name:           plasma-applet-redshift-control
Version:        1.0.18
Release:        1%{?dist}
Summary:        Plasma 5 applet for redshift 

License:        GPLv2+
URL:            https://github.com/kotelnik/plasma-applet-redshift-control
Source0:        %{url}/archive/v%{version}.tar.gz

# Patch to unbundle fontawesome fonts
Patch0:         plasma-applet-redshift-control-unbundle-font.patch

BuildArch:      noarch

BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-plasma-devel
BuildRequires:  kf5-rpm-macros

Requires:       fontawesome-fonts
Requires:       kf5-filesystem
Requires:       plasma-desktop
Requires:       redshift


%description
Plasma 5 applet for controlling redshift (screen temperature modifying).
It allowes basic redshift settings and fast manual temperature control
by mouse wheel.


%prep
%setup -q -n %{name}-%{version}
# Remove bundled font
%patch0 -p1
rm -f package/contents/fonts/fontawesome-webfont-4.3.0.ttf
rmdir package/contents/fonts

%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install DESTDIR=%{buildroot} -C %{_target_platform}
%find_lang %{name} --all-name


%files -f %{name}.lang
%license LICENSE
%exclude %{_datadir}/appdata/*.appdata.xml
%{_kf5_datadir}/kservices5/plasma-applet-org.kde.redshiftControl.desktop
%{_kf5_datadir}/plasma/plasmoids/org.kde.redshiftControl/


%changelog
* Mon Feb 13 2017 Christian Dersch <lupinix@mailbox.org> - 1.0.18-1
- new version

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri May 06 2016 Christian Dersch <lupinix@fedoraproject.org> - 1.0.17-1
- Initial package

